Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPElementAxisImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.SOAPElementImpl
              org.apache.axis.message.SOAPElementAxisImpl

All Implemented Interfaces:
  Cloneable, Element, Node, javax.xml.soap.Node, Serializable, javax.xml.soap.SOAPElement

Direct Known Subclasses:
  DetailEntryImpl, RPCParamElementImpl, SOAPBodyElementImpl, SOAPBodyImpl, SOAPEnvelopeImpl, SOAPFaultElementImpl, SOAPHeaderElementImpl, SOAPHeaderImpl

public class SOAPElementAxisImpl
extends SOAPElementImpl
implements javax.xml.soap.SOAPElement, Serializable, Cloneable

SOAPElementImpl is the base type of nodes of the SOAP message parse tree.

Note: it was made Serializable to help users of Apache SOAP who had exploited the serializability of the DOM tree to migrate to Axis.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `SOAPElementAxisImpl.QNameAttr`

Field Summary
`protected boolean` | `_isRoot`
`protected Attributes` | `attributes`
`protected DeserializationContext` | `context`
`protected Element` | `elementRep`
`protected String` | `encodingStyle` Our encoding style, if any
`protected int` | `endEventIndex`
`protected String` | `href`
`protected String` | `id`
`protected SOAPEnvelopeAxisImpl` | `message`
`protected String` | `name`
`ArrayList` | `namespaces`
`protected String` | `namespaceURI`
`protected String` | `prefix`
`protected Vector` | `qNameAttrs`
`protected SAX2EventRecorder` | `recorder`
`protected MessagePart` | `soapPart`
`protected int` | `startContentsIndex`
`protected int` | `startEventIndex`
`protected javax.xml.namespace.QName` | `typeQName`

Fields inherited from class org.apache.axis.message.NodeImpl
`domNode, soapParent`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SOAPElementAxisImpl()` No-arg constructor for building messages?
`SOAPElementAxisImpl(Element elem)`
`SOAPElementAxisImpl(javax.xml.soap.Name eltName)`
`SOAPElementAxisImpl(javax.xml.namespace.QName name, Object value)`
`SOAPElementAxisImpl(String localPart)`
`SOAPElementAxisImpl(String namespace, String localPart)`
`SOAPElementAxisImpl(String namespace, String localPart, Object value)`
`SOAPElementAxisImpl(String localPart, String prefix, String namespace)`
`SOAPElementAxisImpl(String namespace, String localPart, String prefix, Attributes attributes, DeserializationContext context)`

Method Summary
`javax.xml.soap.SOAPElement` | `addAttribute(javax.xml.soap.Name name, String value)` Adds an attribute with the specified name and value to this SOAPElement object.
`void` | `addAttribute(String namespace, String localName, javax.xml.namespace.QName value)`
`void` | `addAttribute(String namespace, String localName, String value)`
`void` | `addAttribute(String prefix, String namespace, String localName, String value)`
`void` | `addChild(SOAPElementAxisImpl el)` Note that this method will log a error and no-op if there is a value (set using setObjectValue) in the MessageElement.
`javax.xml.soap.SOAPElement` | `addChildElement(javax.xml.soap.Name name)` Creates a new SOAPElement object initialized with the given Name object and adds the new element to this SOAPElement object.
`javax.xml.soap.SOAPElement` | `addChildElement(javax.xml.soap.SOAPElement element)` The added child must be an instance of MessageElement rather than an abitrary SOAPElement otherwise a (wrapped) ClassCastException will be thrown.
`javax.xml.soap.SOAPElement` | `addChildElement(String localName)` Creates a new SOAPElement object initialized with the specified local name and adds the new element to this SOAPElement object.
`javax.xml.soap.SOAPElement` | `addChildElement(String localName, String prefix)` Creates a new SOAPElement object initialized with the specified local name and prefix and adds the new element to this SOAPElement object.
`javax.xml.soap.SOAPElement` | `addChildElement(String localName, String prefix, String uri)` Creates a new SOAPElement object initialized with the specified local name, prefix, and URI and adds the new element to this SOAPElement object.
`void` | `addMapping(Mapping map)`
`javax.xml.soap.SOAPElement` | `addNamespaceDeclaration(String prefix, String uri)` Adds a namespace declaration with the specified prefix and URI to this SOAPElement object.
`javax.xml.soap.SOAPElement` | `addTextNode(String value)` Text nodes are not supported.
`Node` | `appendChild(Node newChild)`
`Node` | `cloneNode(boolean deep)`
`protected Object` | `clonning()` protected clone method (not public) copied status ------------------- protected String name ; Y protected String prefix ; Y protected String namespaceURI ; Y protected transient Attributes attributes Y protected String id; Y? protected String href; Y? protected boolean _isRoot = true; Y? protected SOAPEnvelope message = null; N? protected boolean _isDirty = false; Y? protected transient DeserializationContext context; Y? protected transient QName typeQName = null; Y? protected Vector qNameAttrs = null; Y? protected transient SAX2EventRecorder recorder = null; N? protected int startEventIndex = 0; N? protected int startContentsIndex = 0; N? protected int endEventIndex = -1; N? protected Element elementRep = null; N? protected MessageElement parent = null; N public ArrayList namespaces = null; Y protected String encodingStyle = null; N? private Object objectValue = null; N?
`void` | `detachAllChildren()`
`void` | `detachNode()` Break the relationship between this element and its parent, if any.
`Iterator` | `getAllAttributes()` Returns an Iterator over all of the attribute Name objects in this SOAPElement object.
`Document` | `getAsDocument()`
`Element` | `getAsDOM()`
`String` | `getAsString()`
`String` | `getAsStringFromInternal()` Get a string representation from the internal structure.
`String` | `getAttribute(String name)`
`Attr` | `getAttributeNode(String name)`
`Attr` | `getAttributeNodeNS(String namespaceURI, String localName)`
`String` | `getAttributeNS(String namespaceURI, String localName)`
`NamedNodeMap` | `getAttributes()`
`Attributes` | `getAttributesEx()`
`String` | `getAttributeValue(javax.xml.soap.Name name)` Returns the value of the attribute with the specified name.
`String` | `getAttributeValue(String localName)`
`Iterator` | `getChildElements()` Returns an Iterator over all the immediate child Nodes of this element.
`Iterator` | `getChildElements(javax.xml.soap.Name name)` Returns an Iterator over all the immediate child Nodes of this element with the specified name.
`NodeList` | `getChildNodes()`
`List` | `getChildren()`
`Attributes` | `getCompleteAttributes()` Obtain an Attributes collection consisting of all attributes for this MessageElement, including namespace declarations.
`javax.xml.soap.Name` | `getElementName()` Returns the name of this SOAPElement object.
`NodeList` | `getElementsByTagName(String name)`
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)`
`protected NodeList` | `getElementsNS(Element parent, String namespaceURI, String localName)` helper method for recusively getting the element that has namespace URI and localname
`String` | `getEncodingStyle()` Get the encoding style.
`SOAPEnvelopeAxisImpl` | `getEnvelope()`
`Node` | `getFirstChild()`
`Deserializer` | `getFixupDeserializer()`
`String` | `getHref()`
`String` | `getID()`
`Node` | `getLastChild()`
`String` | `getLocalName()`
`String` | `getName()`
`Iterator` | `getNamespacePrefixes()` Returns an Iterator over the namespace prefix Strings declared by this element.
`String` | `getNamespaceURI()`
`String` | `getNamespaceURI(String prefix)` Returns the URI of the namespace that has the given prefix.
`Node` | `getNextSibling()`
`short` | `getNodeType()`
`String` | `getNodeValue()`
`Object` | `getObjectValue()` Returns value of the node as an object of registered type.
`Object` | `getObjectValue(Class cls)` Returns value of the node as an object of registered type.
`Document` | `getOwnerDocument()`
`javax.xml.soap.SOAPElement` | `getParentElement()` Returns the parent node of this Node object.
`Node` | `getParentNode()`
`String` | `getPrefix()`
`String` | `getPrefix(String namespaceURI)`
`Node` | `getPreviousSibling()`
`javax.xml.namespace.QName` | `getQName()`
`SOAPElementAxisImpl` | `getRealElement()`
`SAX2EventRecorder` | `getRecorder()`
`String` | `getTagName()`
`javax.xml.namespace.QName` | `getType()`
`Object` | `getValueAsType(javax.xml.namespace.QName type)`
`Object` | `getValueAsType(javax.xml.namespace.QName type, Class cls)`
`Iterator` | `getVisibleNamespacePrefixes()` Returns an Iterator over the namespace prefix Strings visible to this element.
`boolean` | `hasAttribute(String name)`
`boolean` | `hasAttributeNS(String namespaceURI, String localName)`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node newChild, Node refChild)`
`boolean` | `isDirty()`
`boolean` | `isImmutable()`
`boolean` | `isRoot()`
`boolean` | `isSupported(String feature, String version)`
`protected AttributesImpl` | `makeAttributesEditable()`
`void` | `normalize()`
`void` | `output(SerializationContext context)` This is the public output() method, which will always simply use the recorded SAX stream for this element if it is available.
`protected void` | `outputImpl(SerializationContext context)` Subclasses can override
`static void` | `printFromInternal(PrintWriter out, NodeImpl node)` Print the given element from the internal representation This should not go on the wire, but is for debugging only.
`void` | `publishContents(ContentHandler handler)`
`void` | `publishToHandler(ContentHandler handler)`
`boolean` | `removeAttribute(javax.xml.soap.Name name)` Removes the attribute with the specified name.
`void` | `removeAttribute(String name)`
`Attr` | `removeAttributeNode(Attr oldAttr)`
`void` | `removeAttributeNS(String namespaceURI, String localName)`
`Node` | `removeChild(Node oldChild)`
`void` | `removeContents()` Detaches all children of this SOAPElement.
`boolean` | `removeNamespaceDeclaration(String prefix)` Removes the namespace declaration corresponding to the given prefix.
`Node` | `replaceChild(Node newChild, Node oldChild)`
`void` | `setAllAttributes(Attributes attrs)`
`void` | `setAllImmutable(boolean immutable)`
`void` | `setAttribute(String name, String value)`
`void` | `setAttribute(String namespace, String localName, String value)` Set an attribute, adding the attribute if it isn't already present in this element, and changing the value if it is.
`Attr` | `setAttributeNode(Attr newAttr)`
`Attr` | `setAttributeNodeNS(Attr newAttr)`
`void` | `setAttributeNS(String namespaceURI, String qualifiedName, String value)`
`void` | `setContentsIndex(int index)`
`void` | `setDirty(boolean dirty)`
`void` | `setEncodingStyle(String encodingStyle)` Sets the encoding style for this `SOAPElement` object to one specified.
`void` | `setEndIndex(int endIndex)`
`void` | `setEnvelope(SOAPEnvelopeAxisImpl env)`
`void` | `setFixupDeserializer(Deserializer dser)`
`void` | `setImmutable(boolean immutable)`
`void` | `setName(String name)`
`void` | `setNamespaceURI(String nsURI)`
`void` | `setNSMappings(ArrayList namespaces)`
`void` | `setObjectValue(Object newValue)` Sets value of this node to an Object.
`void` | `setOwnerDocument(MessagePart sp)`
`void` | `setParentElement(javax.xml.soap.SOAPElement parent)` Sets the parent of this Node object to the given SOAPElement object.
`void` | `setPrefix(String prefix)`
`void` | `setQName(javax.xml.namespace.QName qName)`
`void` | `setRecorder(SAX2EventRecorder rec)`
`void` | `setType(javax.xml.namespace.QName qname)`

Methods inherited from class org.apache.axis.message.NodeImpl
`getNodeName, getValue, hashCode, recycleNode, setNodeValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.Node
`getValue, recycleNode, setValue`

Methods inherited from interface org.w3c.dom.Node
`getNodeName, setNodeValue`

Field Detail

### name

    protected String name

### prefix

    protected String prefix

### namespaceURI

    protected String namespaceURI

### attributes

    protected transient Attributes attributes

### id

    protected String id

### href

    protected String href

### _isRoot

    protected boolean _isRoot

### message

    protected SOAPEnvelopeAxisImpl message

### context

    protected transient DeserializationContext context

### typeQName

    protected transient javax.xml.namespace.QName typeQName

### qNameAttrs

    protected Vector qNameAttrs

### recorder

    protected transient SAX2EventRecorder recorder

### startEventIndex

    protected int startEventIndex

### startContentsIndex

    protected int startContentsIndex

### endEventIndex

    protected int endEventIndex

### elementRep

    protected Element elementRep

### namespaces

    public ArrayList namespaces

### encodingStyle

    protected String encodingStyle

  Our encoding style, if any

### soapPart

    protected MessagePart soapPart

Constructor Detail

### SOAPElementAxisImpl

    public SOAPElementAxisImpl()

  No-arg constructor for building messages?

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(String localPart)

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(String namespace,
                               String localPart)

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(String localPart,
                               String prefix,
                               String namespace)

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(javax.xml.soap.Name eltName)

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(String namespace,
                               String localPart,
                               Object value)

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(javax.xml.namespace.QName name,
                               Object value)

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(Element elem)

### SOAPElementAxisImpl

    public SOAPElementAxisImpl(String namespace,
                               String localPart,
                               String prefix,
                               Attributes attributes,
                               DeserializationContext context)
                        throws AxisFault

Method Detail

### setFixupDeserializer

    public void setFixupDeserializer(Deserializer dser)

### getFixupDeserializer

    public Deserializer getFixupDeserializer()

### setEndIndex

    public void setEndIndex(int endIndex)

### isDirty

    public boolean isDirty()

### setDirty

    public void setDirty(boolean dirty)

### isRoot

    public boolean isRoot()

### getID

    public String getID()

### getHref

    public String getHref()

### getAttributesEx

    public Attributes getAttributesEx()

### getFirstChild

    public Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`

### getLastChild

    public Node getLastChild()

  Specified by:
    `getLastChild` in interface `Node`
  Overrides:
    `getLastChild` in class `NodeImpl`

### getNextSibling

    public Node getNextSibling()

  Specified by:
    `getNextSibling` in interface `Node`
  Overrides:
    `getNextSibling` in class `NodeImpl`

### getParentNode

    public Node getParentNode()

  Specified by:
    `getParentNode` in interface `Node`
  Overrides:
    `getParentNode` in class `NodeImpl`

### getPreviousSibling

    public Node getPreviousSibling()

  Specified by:
    `getPreviousSibling` in interface `Node`
  Overrides:
    `getPreviousSibling` in class `NodeImpl`

### cloneNode

    public Node cloneNode(boolean deep)

  Specified by:
    `cloneNode` in interface `Node`
  Overrides:
    `cloneNode` in class `NodeImpl`

### clonning

    protected Object clonning()
                       throws CloneNotSupportedException

  protected clone method (not public)

  copied status ------------------- protected String name ; Y protected String prefix ; Y protected String namespaceURI ; Y protected transient Attributes attributes Y protected String id; Y? protected String href; Y? protected boolean _isRoot = true; Y? protected SOAPEnvelope message = null; N? protected boolean _isDirty = false; Y? protected transient DeserializationContext context; Y? protected transient QName typeQName = null; Y? protected Vector qNameAttrs = null; Y? protected transient SAX2EventRecorder recorder = null; N? protected int startEventIndex = 0; N? protected int startContentsIndex = 0; N? protected int endEventIndex = -1; N? protected Element elementRep = null; N? protected MessageElement parent = null; N public ArrayList namespaces = null; Y protected String encodingStyle = null; N? private Object objectValue = null; N?

  Returns:
  Throws:
    `CloneNotSupportedException`

### setAllAttributes

    public void setAllAttributes(Attributes attrs)

### detachAllChildren

    public void detachAllChildren()

### getChildNodes

    public NodeList getChildNodes()

  Specified by:
    `getChildNodes` in interface `Node`
  Overrides:
    `getChildNodes` in class `NodeImpl`

### isSupported

    public boolean isSupported(String feature,
                               String version)

  Specified by:
    `isSupported` in interface `Node`
  Overrides:
    `isSupported` in class `NodeImpl`

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Specified by:
    `appendChild` in interface `Node`
  Overrides:
    `appendChild` in class `NodeImpl`
  Throws:
    `DOMException`

### addChild

    public void addChild(SOAPElementAxisImpl el)
                  throws javax.xml.soap.SOAPException

  Note that this method will log a error and no-op if there is a value (set using setObjectValue) in the MessageElement.

  Throws:
    `javax.xml.soap.SOAPException`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Specified by:
    `removeChild` in interface `Node`
  Overrides:
    `removeChild` in class `NodeImpl`
  Throws:
    `DOMException`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Specified by:
    `insertBefore` in interface `Node`
  Overrides:
    `insertBefore` in class `NodeImpl`
  Throws:
    `DOMException`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Specified by:
    `replaceChild` in interface `Node`
  Overrides:
    `replaceChild` in class `NodeImpl`
  Throws:
    `DOMException`

### getCompleteAttributes

    public Attributes getCompleteAttributes()

  Obtain an Attributes collection consisting of all attributes for this MessageElement, including namespace declarations.

  Returns:
    Attributes collection

### getName

    public String getName()

### setName

    public void setName(String name)

### getQName

    public javax.xml.namespace.QName getQName()

### setQName

    public void setQName(javax.xml.namespace.QName qName)

### getPrefix

    public String getPrefix()

  Specified by:
    `getPrefix` in interface `Node`
  Overrides:
    `getPrefix` in class `NodeImpl`

### setPrefix

    public void setPrefix(String prefix)

  Specified by:
    `setPrefix` in interface `Node`
  Overrides:
    `setPrefix` in class `NodeImpl`

### getOwnerDocument

    public Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `Node`
  Overrides:
    `getOwnerDocument` in class `NodeImpl`

### getAttributes

    public NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `Node`
  Overrides:
    `getAttributes` in class `NodeImpl`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `NodeImpl`

### normalize

    public void normalize()

  Specified by:
    `normalize` in interface `Node`
  Overrides:
    `normalize` in class `NodeImpl`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `Node`
  Overrides:
    `hasAttributes` in class `NodeImpl`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `Node`
  Overrides:
    `hasChildNodes` in class `NodeImpl`

### getLocalName

    public String getLocalName()

  Specified by:
    `getLocalName` in interface `Node`
  Overrides:
    `getLocalName` in class `NodeImpl`

### getNamespaceURI

    public String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `Node`
  Overrides:
    `getNamespaceURI` in class `NodeImpl`

### getNodeValue

    public String getNodeValue()
                        throws DOMException

  Specified by:
    `getNodeValue` in interface `Node`
  Overrides:
    `getNodeValue` in class `NodeImpl`
  Throws:
    `DOMException`

### setNamespaceURI

    public void setNamespaceURI(String nsURI)

### getType

    public javax.xml.namespace.QName getType()

### setType

    public void setType(javax.xml.namespace.QName qname)

### getRecorder

    public SAX2EventRecorder getRecorder()

### setRecorder

    public void setRecorder(SAX2EventRecorder rec)

### getEncodingStyle

    public String getEncodingStyle()

  Get the encoding style. If ours is null, walk up the hierarchy and use our parent's. Default if we're the root is "".

  Specified by:
    `getEncodingStyle` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getEncodingStyle` in class `SOAPElementImpl`
  Returns:
    the currently in-scope encoding style

### removeContents

    public void removeContents()

  Description copied from class: `SOAPElementImpl`
  Detaches all children of this SOAPElement.

  This method is useful for rolling back the construction of partially completed SOAPHeaders and SOAPBodys in preparation for sending a fault when an error condition is detected. It is also useful for recycling portions of a document within a SOAP message.

  Specified by:
    `removeContents` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `removeContents` in class `SOAPElementImpl`

### getVisibleNamespacePrefixes

    public Iterator getVisibleNamespacePrefixes()

  Description copied from class: `SOAPElementImpl`
  Returns an Iterator over the namespace prefix Strings visible to this element.

  The prefixes returned by this iterator can be passed to the method getNamespaceURI to retrieve the URI of each namespace.

  Specified by:
    `getVisibleNamespacePrefixes` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getVisibleNamespacePrefixes` in class `SOAPElementImpl`
  Returns:
    an iterator over the namespace prefixes are within scope of this SOAPElement object

### setEncodingStyle

    public void setEncodingStyle(String encodingStyle)
                          throws javax.xml.soap.SOAPException

  Sets the encoding style for this `SOAPElement` object to one specified. The semantics of a null value, as above in getEncodingStyle() are to just use the parent's value, but null here means set to "".

  Specified by:
    `setEncodingStyle` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `setEncodingStyle` in class `SOAPElementImpl`
  Parameters:
    `encodingStyle` - a `String` giving the encoding style
  Throws:
    `IllegalArgumentException` - if there was a problem in the encoding style being set.
    `javax.xml.soap.SOAPException` - if there was a problem in the encoding style being set.
  See Also:
    `getEncodingStyle()`

### setContentsIndex

    public void setContentsIndex(int index)

### setNSMappings

    public void setNSMappings(ArrayList namespaces)

### getPrefix

    public String getPrefix(String namespaceURI)

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Description copied from class: `SOAPElementImpl`
  Returns the URI of the namespace that has the given prefix.

  Specified by:
    `getNamespaceURI` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getNamespaceURI` in class `SOAPElementImpl`
  Parameters:
    `prefix` - a String giving the prefix of the namespace for which to search
  Returns:
    a String with the uri of the namespace that has the given prefix

### getObjectValue

    public Object getObjectValue()

  Returns value of the node as an object of registered type.

  Returns:
    Object of proper type, or null if no mapping could be found.

### getObjectValue

    public Object getObjectValue(Class cls)
                          throws Exception

  Returns value of the node as an object of registered type.

  Parameters:
    `cls` - Class that contains top level deserializer metadata
  Returns:
    Object of proper type, or null if no mapping could be found.
  Throws:
    `Exception`

### setObjectValue

    public void setObjectValue(Object newValue)
                        throws javax.xml.soap.SOAPException

  Sets value of this node to an Object. A serializer needs to be registered for this object class for proper operation.

  Note that this method will log an error and no-op if there are any children in the MessageElement or if the MessageElement was constructed from XML.

  Parameters:
    `newValue` - node's value or null.
  Throws:
    `javax.xml.soap.SOAPException`

### getValueAsType

    public Object getValueAsType(javax.xml.namespace.QName type)
                          throws Exception

  Throws:
    `Exception`

### getValueAsType

    public Object getValueAsType(javax.xml.namespace.QName type,
                                 Class cls)
                          throws Exception

  Throws:
    `Exception`

### addAttribute

    public void addAttribute(String namespace,
                             String localName,
                             javax.xml.namespace.QName value)

### makeAttributesEditable

    protected AttributesImpl makeAttributesEditable()

### addAttribute

    public void addAttribute(String namespace,
                             String localName,
                             String value)

### addAttribute

    public void addAttribute(String prefix,
                             String namespace,
                             String localName,
                             String value)

### setAttribute

    public void setAttribute(String namespace,
                             String localName,
                             String value)

  Set an attribute, adding the attribute if it isn't already present in this element, and changing the value if it is. Passing null as the value will cause any pre-existing attribute by this name to go away.

### getAttributeValue

    public String getAttributeValue(String localName)

### setEnvelope

    public void setEnvelope(SOAPEnvelopeAxisImpl env)

### getEnvelope

    public SOAPEnvelopeAxisImpl getEnvelope()

### getRealElement

    public SOAPElementAxisImpl getRealElement()

### getAsDOM

    public Element getAsDOM()

### getAsDocument

    public Document getAsDocument()

### getAsString

    public String getAsString()

### getAsStringFromInternal

    public String getAsStringFromInternal()

  Get a string representation from the internal structure. This should not go on the wire, but is for debugging only.

### printFromInternal

    public static void printFromInternal(PrintWriter out,
                                         NodeImpl node)
                                  throws Exception

  Print the given element from the internal representation This should not go on the wire, but is for debugging only.

  Throws:
    `Exception`

### publishToHandler

    public void publishToHandler(ContentHandler handler)
                          throws SAXException

  Throws:
    `SAXException`

### publishContents

    public void publishContents(ContentHandler handler)
                         throws SAXException

  Throws:
    `SAXException`

### output

    public final void output(SerializationContext context)
                      throws Exception

  This is the public output() method, which will always simply use the recorded SAX stream for this element if it is available. If not, this method calls outputImpl() to allow subclasses and programmatically created messages to serialize themselves.

  Parameters:
    `context` - the SerializationContext we will write to.
  Throws:
    `Exception`

### outputImpl

    protected void outputImpl(SerializationContext context)
                       throws Exception

  Subclasses can override

  Throws:
    `Exception`

### addMapping

    public void addMapping(Mapping map)

### setParentElement

    public void setParentElement(javax.xml.soap.SOAPElement parent)
                          throws javax.xml.soap.SOAPException

  Description copied from class: `NodeImpl`
  Sets the parent of this Node object to the given SOAPElement object.

  Specified by:
    `setParentElement` in interface `javax.xml.soap.Node`
  Overrides:
    `setParentElement` in class `NodeImpl`
  Parameters:
    `parent` - the SOAPElement object to be set as the parent of this Node object
  Throws:
    `javax.xml.soap.SOAPException` - if there is a problem in setting the parent to the given node

### getParentElement

    public javax.xml.soap.SOAPElement getParentElement()

  Description copied from class: `NodeImpl`
  Returns the parent node of this Node object. This method can throw an UnsupportedOperationException if the tree is not kept in memory.

  Specified by:
    `getParentElement` in interface `javax.xml.soap.Node`
  Overrides:
    `getParentElement` in class `NodeImpl`
  Returns:
    the SOAPElement object that is the parent of this Node object or null if this Node object is root

### detachNode

    public void detachNode()

  Break the relationship between this element and its parent, if any.

  Specified by:
    `detachNode` in interface `javax.xml.soap.Node`
  Overrides:
    `detachNode` in class `NodeImpl`

### isImmutable

    public boolean isImmutable()

### setImmutable

    public void setImmutable(boolean immutable)

### setAllImmutable

    public void setAllImmutable(boolean immutable)

### addChildElement

    public javax.xml.soap.SOAPElement addChildElement(javax.xml.soap.Name name)
                                               throws javax.xml.soap.SOAPException

  Description copied from class: `SOAPElementImpl`
  Creates a new SOAPElement object initialized with the given Name object and adds the new element to this SOAPElement object.

  Specified by:
    `addChildElement` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addChildElement` in class `SOAPElementImpl`
  Parameters:
    `name` - a Name object with the XML name for the new element
  Returns:
    the new SOAPElement object that was created
  Throws:
    `javax.xml.soap.SOAPException` - if there is an error in creating the SOAPElement object

### addChildElement

    public javax.xml.soap.SOAPElement addChildElement(String localName)
                                               throws javax.xml.soap.SOAPException

  Description copied from class: `SOAPElementImpl`
  Creates a new SOAPElement object initialized with the specified local name and adds the new element to this SOAPElement object.

  Specified by:
    `addChildElement` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addChildElement` in class `SOAPElementImpl`
  Parameters:
    `localName` - a String giving the local name for the element
  Returns:
    the new SOAPElement object that was created
  Throws:
    `javax.xml.soap.SOAPException` - if there is an error in creating the SOAPElement object

### addChildElement

    public javax.xml.soap.SOAPElement addChildElement(String localName,
                                                      String prefix)
                                               throws javax.xml.soap.SOAPException

  Description copied from class: `SOAPElementImpl`
  Creates a new SOAPElement object initialized with the specified local name and prefix and adds the new element to this SOAPElement object.

  Specified by:
    `addChildElement` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addChildElement` in class `SOAPElementImpl`
  Parameters:
    `localName` - a String giving the local name for the new element
    `prefix` - a String giving the namespace prefix for the new element
  Returns:
    the new SOAPElement object that was created
  Throws:
    `javax.xml.soap.SOAPException` - if there is an error in creating the SOAPElement object

### addChildElement

    public javax.xml.soap.SOAPElement addChildElement(String localName,
                                                      String prefix,
                                                      String uri)
                                               throws javax.xml.soap.SOAPException

  Description copied from class: `SOAPElementImpl`
  Creates a new SOAPElement object initialized with the specified local name, prefix, and URI and adds the new element to this SOAPElement object.

  Specified by:
    `addChildElement` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addChildElement` in class `SOAPElementImpl`
  Parameters:
    `localName` - a String giving the local name for the new element
    `prefix` - a String giving the namespace prefix for the new element
    `uri` - a String giving the URI of the namespace to which the new element belongs
  Returns:
    the new SOAPElement object that was created
  Throws:
    `javax.xml.soap.SOAPException` - if there is an error in creating the SOAPElement object

### addChildElement

    public javax.xml.soap.SOAPElement addChildElement(javax.xml.soap.SOAPElement element)
                                               throws javax.xml.soap.SOAPException

  The added child must be an instance of MessageElement rather than an abitrary SOAPElement otherwise a (wrapped) ClassCastException will be thrown.

  Specified by:
    `addChildElement` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addChildElement` in class `SOAPElementImpl`
  Parameters:
    `element` - the SOAPElement to be added as a new child
  Returns:
    an instance representing the new SOAP element that was actually added to the tree.
  Throws:
    `javax.xml.soap.SOAPException` - if there was an error in adding this element as a child

### addTextNode

    public javax.xml.soap.SOAPElement addTextNode(String value)
                                           throws javax.xml.soap.SOAPException

  Text nodes are not supported.

  Specified by:
    `addTextNode` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addTextNode` in class `SOAPElementImpl`
  Parameters:
    `value` - a String object with the textual content to be added
  Returns:
    the SOAPElement object into which the new Text object was inserted
  Throws:
    `javax.xml.soap.SOAPException` - if there is an error in creating the new Text object

### addAttribute

    public javax.xml.soap.SOAPElement addAttribute(javax.xml.soap.Name name,
                                                   String value)
                                            throws javax.xml.soap.SOAPException

  Description copied from class: `SOAPElementImpl`
  Adds an attribute with the specified name and value to this SOAPElement object.

  Specified by:
    `addAttribute` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addAttribute` in class `SOAPElementImpl`
  Parameters:
    `name` - a Name object with the name of the attribute
    `value` - a String giving the value of the attribute
  Returns:
    the SOAPElement object into which the attribute was inserted
  Throws:
    `javax.xml.soap.SOAPException` - if there is an error in creating the Attribute

### addNamespaceDeclaration

    public javax.xml.soap.SOAPElement addNamespaceDeclaration(String prefix,
                                                              String uri)
                                                       throws javax.xml.soap.SOAPException

  Description copied from class: `SOAPElementImpl`
  Adds a namespace declaration with the specified prefix and URI to this SOAPElement object.

  Specified by:
    `addNamespaceDeclaration` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `addNamespaceDeclaration` in class `SOAPElementImpl`
  Parameters:
    `prefix` - a String giving the prefix of the namespace
    `uri` - a String giving the uri of the namespace
  Returns:
    the SOAPElement object into which this namespace declaration was inserted.
  Throws:
    `javax.xml.soap.SOAPException` - if there is an error in creating the namespace

### getAttributeValue

    public String getAttributeValue(javax.xml.soap.Name name)

  Description copied from class: `SOAPElementImpl`
  Returns the value of the attribute with the specified name.

  Specified by:
    `getAttributeValue` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getAttributeValue` in class `SOAPElementImpl`
  Parameters:
    `name` - a Name object with the name of the attribute
  Returns:
    a String giving the value of the specified attribute

### getAllAttributes

    public Iterator getAllAttributes()

  Description copied from class: `SOAPElementImpl`
  Returns an Iterator over all of the attribute Name objects in this SOAPElement object.

  The iterator can be used to get the attribute names, which can then be passed to the method getAttributeValue to retrieve the value of each attribute.

  Specified by:
    `getAllAttributes` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getAllAttributes` in class `SOAPElementImpl`
  Returns:
    an iterator over the names of the attributes

### getNamespacePrefixes

    public Iterator getNamespacePrefixes()

  Description copied from class: `SOAPElementImpl`
  Returns an Iterator over the namespace prefix Strings declared by this element.

  The prefixes returned by this iterator can be passed to the method getNamespaceURI to retrieve the URI of each namespace.

  Specified by:
    `getNamespacePrefixes` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getNamespacePrefixes` in class `SOAPElementImpl`
  Returns:
    an iterator over the namespace prefixes in this SOAPElement object

### getElementName

    public javax.xml.soap.Name getElementName()

  Description copied from class: `SOAPElementImpl`
  Returns the name of this SOAPElement object.

  Specified by:
    `getElementName` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getElementName` in class `SOAPElementImpl`
  Returns:
    a Name object with the name of this SOAPElement object

### removeAttribute

    public boolean removeAttribute(javax.xml.soap.Name name)

  Description copied from class: `SOAPElementImpl`
  Removes the attribute with the specified name.

  Specified by:
    `removeAttribute` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `removeAttribute` in class `SOAPElementImpl`
  Parameters:
    `name` - the Name object with the name of the attribute to be removed
  Returns:
    true if the attribute was removed successfully; false if it was not

### removeNamespaceDeclaration

    public boolean removeNamespaceDeclaration(String prefix)

  Description copied from class: `SOAPElementImpl`
  Removes the namespace declaration corresponding to the given prefix.

  Specified by:
    `removeNamespaceDeclaration` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `removeNamespaceDeclaration` in class `SOAPElementImpl`
  Parameters:
    `prefix` - a String giving the prefix for which to search
  Returns:
    true if the namespace declaration was removed successfully; false if it was not

### getChildElements

    public Iterator getChildElements()

  Description copied from class: `SOAPElementImpl`
  Returns an Iterator over all the immediate child Nodes of this element.

  This includes javax.xml.soap.Text objects as well as SOAPElement objects. Calling this method may cause child Element, SOAPElement and org.w3c.dom.Text nodes to be replaced by SOAPElement, SOAPHeaderElement, SOAPBodyElement or javax.xml.soap.Text nodes as appropriate for the type of this parent node. As a result the calling application must treat any existing references to these child nodes that have been obtained through DOM APIs as invalid and either discard them or refresh them with the values returned by this Iterator. This behavior can be avoided by calling the equivalent DOM APIs. See javax.xml.soap for more details.

  Specified by:
    `getChildElements` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getChildElements` in class `SOAPElementImpl`
  Returns:
    an iterator with the content of this SOAPElement object

### getChildElements

    public Iterator getChildElements(javax.xml.soap.Name name)

  Description copied from class: `SOAPElementImpl`
  Returns an Iterator over all the immediate child Nodes of this element with the specified name.

  All of these children will be SOAPElement nodes. Calling this method may cause child Element, SOAPElement and org.w3c.dom.Text nodes to be replaced by SOAPElement, SOAPHeaderElement, SOAPBodyElement or javax.xml.soap.Text nodes as appropriate for the type of this parent node. As a result the calling application must treat any existing references to these child nodes that have been obtained through DOM APIs as invalid and either discard them or refresh them with the values returned by this Iterator. This behavior can be avoided by calling the equivalent DOM APIs. See javax.xml.soap for more details.

  Specified by:
    `getChildElements` in interface `javax.xml.soap.SOAPElement`
  Overrides:
    `getChildElements` in class `SOAPElementImpl`
  Parameters:
    `name` - a Name object with the name of the child elements to be returned
  Returns:
    an Iterator object over all the elements in this SOAPElement object with the specified name

### getTagName

    public String getTagName()

  Specified by:
    `getTagName` in interface `Element`
  Overrides:
    `getTagName` in class `SOAPElementImpl`

### removeAttribute

    public void removeAttribute(String name)
                         throws DOMException

  Specified by:
    `removeAttribute` in interface `Element`
  Overrides:
    `removeAttribute` in class `SOAPElementImpl`
  Throws:
    `DOMException`

### hasAttribute

    public boolean hasAttribute(String name)

  Specified by:
    `hasAttribute` in interface `Element`
  Overrides:
    `hasAttribute` in class `SOAPElementImpl`

### getAttribute

    public String getAttribute(String name)

  Specified by:
    `getAttribute` in interface `Element`
  Overrides:
    `getAttribute` in class `SOAPElementImpl`

### removeAttributeNS

    public void removeAttributeNS(String namespaceURI,
                                  String localName)
                           throws DOMException

  Specified by:
    `removeAttributeNS` in interface `Element`
  Overrides:
    `removeAttributeNS` in class `SOAPElementImpl`
  Throws:
    `DOMException`

### setAttribute

    public void setAttribute(String name,
                             String value)
                      throws DOMException

  Specified by:
    `setAttribute` in interface `Element`
  Overrides:
    `setAttribute` in class `SOAPElementImpl`
  Throws:
    `DOMException`

### hasAttributeNS

    public boolean hasAttributeNS(String namespaceURI,
                                  String localName)

  Specified by:
    `hasAttributeNS` in interface `Element`
  Overrides:
    `hasAttributeNS` in class `SOAPElementImpl`

### getAttributeNode

    public Attr getAttributeNode(String name)

  Specified by:
    `getAttributeNode` in interface `Element`
  Overrides:
    `getAttributeNode` in class `SOAPElementImpl`

### removeAttributeNode

    public Attr removeAttributeNode(Attr oldAttr)
                             throws DOMException

  Specified by:
    `removeAttributeNode` in interface `Element`
  Overrides:
    `removeAttributeNode` in class `SOAPElementImpl`
  Throws:
    `DOMException`

### setAttributeNode

    public Attr setAttributeNode(Attr newAttr)
                          throws DOMException

  Specified by:
    `setAttributeNode` in interface `Element`
  Overrides:
    `setAttributeNode` in class `SOAPElementImpl`
  Throws:
    `DOMException`

### setAttributeNodeNS

    public Attr setAttributeNodeNS(Attr newAttr)
                            throws DOMException

  Specified by:
    `setAttributeNodeNS` in interface `Element`
  Overrides:
    `setAttributeNodeNS` in class `SOAPElementImpl`
  Throws:
    `DOMException`

### getElementsByTagName

    public NodeList getElementsByTagName(String name)

  Specified by:
    `getElementsByTagName` in interface `Element`
  Overrides:
    `getElementsByTagName` in class `SOAPElementImpl`

### getAttributeNS

    public String getAttributeNS(String namespaceURI,
                                 String localName)

  Specified by:
    `getAttributeNS` in interface `Element`
  Overrides:
    `getAttributeNS` in class `SOAPElementImpl`

### setAttributeNS

    public void setAttributeNS(String namespaceURI,
                               String qualifiedName,
                               String value)
                        throws DOMException

  Specified by:
    `setAttributeNS` in interface `Element`
  Overrides:
    `setAttributeNS` in class `SOAPElementImpl`
  Throws:
    `DOMException`

### getAttributeNodeNS

    public Attr getAttributeNodeNS(String namespaceURI,
                                   String localName)

  Specified by:
    `getAttributeNodeNS` in interface `Element`
  Overrides:
    `getAttributeNodeNS` in class `SOAPElementImpl`

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(String namespaceURI,
                                           String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `Element`
  Overrides:
    `getElementsByTagNameNS` in class `SOAPElementImpl`

### getElementsNS

    protected NodeList getElementsNS(Element parent,
                                     String namespaceURI,
                                     String localName)

  helper method for recusively getting the element that has namespace URI and localname

### setOwnerDocument

    public void setOwnerDocument(MessagePart sp)

### getChildren

    public List getChildren()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.